# class Gem::SilentUI

`SilentUI` is a UI choice that is absolutely silent.

### Public Class Methods

new() click to toggle source

The `SilentUI` has no arguments as it does not use any stream.

Calls superclass method `Gem::StreamUI::new`

    # File lib/rubygems/user_interaction.rb, line 620
    def initialize
      io = NullIO.new
      super io, io, io, false
    end

### Public Instance Methods

close() click to toggle source

    # File lib/rubygems/user_interaction.rb, line 625
    def close
    end